#ifndef __PLATFORM_MAPPING_H__
#define __PLATFORM_MAPPING_H__ 1

typedef unsigned char   uint8_t;
typedef char            int8_t;
typedef unsigned short  uint16_t;
typedef short           int16_t;
typedef unsigned int    uint32_t;
typedef int             int32_t;
typedef unsigned long long    uint64_t;
typedef long long             int64_t;

#define HOST_LITTLE_ENDIAN 1

#include <malloc.h>
#include <windows.h>
#include <winioctl.h>
#include <setupapi.h>

//#define TSYNC_BOARD_DESCRIPTOR_T (void*)
typedef void* TSYNC_BOARD_DESCRIPTOR_T;

#define TSYNC_ALLOCA _alloca
#define TSYNC_SLEEP Sleep
#define TSYNC_SAFE_SPRINTF(destStr, maxSize, formatStr, formatArgs) wsprintf( (LPWSTR)destStr, (LPCWSTR)maxSize, formatStr, formatArgs);

#endif
